PrefabFiles = {
	"mirdoll",
	"mirdoll_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/mirdoll.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mirdoll.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mirdoll.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mirdoll.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/mirdoll_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mirdoll_silho.xml" ),

    Asset( "IMAGE", "bigportraits/mirdoll.tex" ),
    Asset( "ATLAS", "bigportraits/mirdoll.xml" ),
	
	Asset( "IMAGE", "images/map_icons/mirdoll.tex" ),
	Asset( "ATLAS", "images/map_icons/mirdoll.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_mirdoll.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_mirdoll.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_mirdoll.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_mirdoll.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_mirdoll.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_mirdoll.xml" ),
	
	Asset( "IMAGE", "images/names_mirdoll.tex" ),
    Asset( "ATLAS", "images/names_mirdoll.xml" ),
	
    Asset( "IMAGE", "bigportraits/mirdoll_none.tex" ),
    Asset( "ATLAS", "bigportraits/mirdoll_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.mirdoll = "The Creative One"
STRINGS.CHARACTER_NAMES.mirdoll = "Mirdoll"
STRINGS.CHARACTER_DESCRIPTIONS.mirdoll = "*Not easily creeped out\n*Runs fast\n*Doesn't eat much"
STRINGS.CHARACTER_QUOTES.mirdoll = "\"Oh.\""

-- Custom speech strings
STRINGS.CHARACTERS.MIRDOLL = require "speech_mirdoll"

-- The character's name as appears in-game 
STRINGS.NAMES.mirdoll = "esc"

AddMinimapAtlas("images/map_icons/mirdoll.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("mirdoll", "FEMALE")

